summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonathan Yantis2015-06-11 08:56:52 -0700
committerJonathan Yantis2015-06-11 08:56:52 -0700
commit1cae8a020b45de9125c59454b3ce404a760a6d0b (patch)
tree2116cd430ae7f891f300dd96cb9b314543a09e8e
downloadaur-1cae8a020b45de9125c59454b3ce404a760a6d0b.tar.gz
Initial import
-rw-r--r--.SRCINFO20
-rw-r--r--PKGBUILD70
2 files changed, 90 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..4db0e9db4e6
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = python2-gnumpy-git
+ pkgdesc = Gnumpy is a simple Python 2 module that interfaces in a way almost identical to numpy, but does its computations on your computers GPU
+ pkgver = 0.3dev.0.2.r1.gde735a9
+ pkgrel = 1
+ url = https://github.com/dnouri/gnumpy
+ arch = any
+ license = custom
+ makedepends = git
+ makedepends = python2-setuptools
+ depends = python2
+ optdepends = python2-cudamat-git: Use GPU instead of CPU
+ provides = python2-gnumpy
+ provides = python2-npmat
+ conflicts = python2-gnumpy
+ conflicts = python2-npmat
+ source = git+https://github.com/dnouri/gnumpy.git
+ sha256sums = SKIP
+
+pkgname = python2-gnumpy-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1ef19ef0363
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,70 @@
+# Maintainer: jyantis <yantis@yantis.net>
+
+pkgname=python2-gnumpy-git
+pkgver=0.3dev.0.2.r1.gde735a9
+pkgrel=1
+pkgdesc='Gnumpy is a simple Python 2 module that interfaces in a way almost identical to numpy, but does its computations on your computers GPU'
+arch=('any')
+url='https://github.com/dnouri/gnumpy'
+license=('custom')
+depends=('python2')
+source=('git+https://github.com/dnouri/gnumpy.git')
+sha256sums=('SKIP')
+makedepends=('git' 'python2-setuptools')
+provides=('python2-gnumpy' 'python2-npmat')
+conflicts=('python2-gnumpy' 'python2-npmat')
+optdepends=('python2-cudamat-git: Use GPU instead of CPU')
+
+pkgver() {
+ cd gnumpy
+ set -o pipefail
+ _gitversion=$( git describe --long | sed -r 's/([^-]*-g)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)" )
+
+ # If there is a setup.py then pull the version tag from the file
+ if [ -f "setup.py" ]; then
+ if grep --quiet "version = " setup.py; then
+ printf "%s.%s" "$(grep -R "version = " setup.py | awk -F\' '{print $2}')" $_gitversion | sed 's/-/./g'
+ elif grep --quiet "version=" setup.py; then
+ printf "%s.%s" "$(grep -R "version=" setup.py | awk -F\' '{print $2}')" $_gitversion | sed 's/-/./g'
+ else
+ printf "%s" $_gitversion
+ fi
+ else
+ printf "%s" $_gitversion
+ fi
+}
+
+build() {
+ cd gnumpy
+
+ # Patch any #!/usr/bin/python to #!/usr/bin/python2
+ for file in $(find . -name '*.py' -print); do
+ sed -r -i 's_^#!.*/usr/bin/python(\s|$)_#!/usr/bin/python2_' $file
+ sed -r -i 's_^#!.*/usr/bin/env(\s)*python(\s|$)_#!/usr/bin/env python2_' $file
+ done
+
+ python2 setup.py build
+}
+
+check() {
+ cd gnumpy
+ python2 setup.py test --verbose
+}
+
+package() {
+ cd gnumpy
+
+ # We don't need anything related to git in the package
+ rm -rf .git*
+
+ python2 setup.py install --root="${pkgdir}" --optimize=1
+
+ # Install License
+ install -D -m644 LICENSE.txt "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+
+ # Install Documentation
+ install -D -m644 README.rst "${pkgdir}/usr/share/doc/${pkgname}/README.rst"
+}
+
+# vim:set ts=2 sw=2 et: